#ifndef MARS_MJOptimizeEnergy
#define MARS_MJOptimizeEnergy

#ifndef MARS_MJOptimize
#include "MJOptimize.h"
#endif

class MJOptimizeEnergy : public MJOptimize
{
public:
    // Special optimizing routines
    Bool_t RunEnergy(const char *fname, const char *rule);
    Bool_t RunEnergy(const char *rule)
    {
        return RunEnergy(0, rule);
    }

    ClassDef(MJOptimizeEnergy, 0) // Class for optimization of the Supercuts
};

#endif
